copy_from_user_toio
Prev | Chapter 22. Sound Devices | Next

## Name

copy_from_user_toio — copy data from user-space to mmio-space

## Synopsis

`int copy_from_user_toio (` | volatile void __iomem * | dst,
| const void __user * | src,
| size_t | count`)`;

## Arguments

`dst`

  the destination pointer on mmio-space

`src`

  the source pointer on user-space

`count`

  the data size to copy in bytes

## Description

Copies the data from user-space to mmio-space.

Returns zero if successful, or non-zero on failure.

Prev | Up | Next
copy_to_user_fromio | Home | snd_pcm_lib_preallocate_free_for_all